About LeverAutoshaping

 Top Next

Purpose

Autoshaping using levers as the CS.

Software requirements

Requires Whisker v2.0 or greater.

Data storage

· Text-based output to disk.
· ODBC data storage to a database (supplied).

Author

Rudolf Cardinal (rudolf@pobox.com).

Copyright

Copyright © Cambridge University Technical Services Ltd


Required devices

 Top Previous Next

The program requires to claim devices in groups named box0, box1, box2… with device names as listed below in bold:

// Names of lines the program expects to be able to claim

NOSEPOKE // input

LEFTLEVER // input

RIGHTLEVER // input

LOCOBEAM_FRONT // input

LOCOBEAM_MIDDLE // input

LOCOBEAM_REAR // input

HOUSELIGHT // output

PUMP // output

DIPPER // output

LEFTLEVERCONTROL // output

RIGHTLEVERCONTROL // output

LEFTLIGHT // output

RIGHTLIGHT // output

PELLET // output

// Aliases used while the program is in full flight, which it therefore expects not to be present on the server:

PlusLever

PlusLeverControl

PlusLight

MinusLever

MinusLeverControl

MinusLight

Please ensure that these devices are available and listed in the device definition file in use by the server.


Using the task

 Top Previous Next

When you run the task, the main screen looks as follows:

You must connect to a Whisker server, claim an operant chamber (box), and set up the parameters for your task. Once that's done, the traffic lights will turn amber. When you are ready, press Start to begin the task.

When the task finishes, it saves data to disk and pops up a new dialogue box for you to select a database to store the data to. (The data sources are configured under Control Panel → ODBC.) If you previously specified an ODBC data source in the parameters, that data source is used automatically and you will only see a dialogue box if something goes wrong and the program needs your input.


Parameters

 Top Previous

The parameters dialogue box looks like this:

To pick an ODBC database in advance of finishing, click Pick and you will be offered the ODBC Data Source picker (below). Your choice will be recorded and will apply to this subject from now on (or until you specify a different source).

If you don't specify an ODBC data source now, or you delete the value in the "ODBC data source name" box, you'll be asked to choose when the task ends (and that choice will only apply to the session in progress).